MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029191Open CASCADE[OCCT] OCCT:Visualizationpublic2017-10-06 12:172019-08-12 14:28
Reporterabv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.4.0Fixed in Version[OCCT] 7.4.0 
Summary0029191: Visualization - viewer rotations are not smooth
DescriptionWhen displayed shape is flat, after resetting the view so that the shape becomes parallel to the screen, rotations of the viewer by mouse become not smooth: even small movements lead to strange jumps. Sometimes parts of the shape get clipped by front or rear clip planes.
Steps To ReproduceDRAW script to prepare scene:

pload AISV
restore [locate_data_file bug29191.brep] a
# when sub-shapes are displayed separately, effect is more noticeable
foreach s [explode a] { vdisplay $s }
vtop
vfit
TagsNo tags attached.
Test case number
Attached Fileszip file icon bug29191.zip (187,696 bytes) 2017-10-06 12:20
? file icon occ_2d_rotate_KO.mp4 (1,784,638 bytes) 2017-10-06 13:52

- Relationships
related to 0029837closedbugmaster Open CASCADE Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object 
child of 0025063closedbugmaster Open CASCADE Visualization - 2D objects are not displayed at some camera positions 

-  Notes
(0086009)
kgv (developer)
2019-08-05 09:00

Should be fixed by patch for 0029837.
(0086186)
abv (manager)
2019-08-12 14:27

The issue has been fixed, now rotation is smooth, thanks!
(0086188)
abv (manager)
2019-08-12 14:28

I do not see easy way to create a test case (it is interactive operation), thus assume we do not need one

- Issue History
Date Modified Username Field Change
2017-10-06 12:17 abv New Issue
2017-10-06 12:17 abv Assigned To => kgv
2017-10-06 12:19 abv Steps to Reproduce Updated View Revisions
2017-10-06 12:20 abv File Added: bug29191.zip
2017-10-06 12:35 abv Description Updated View Revisions
2017-10-06 13:52 kgv File Added: occ_2d_rotate_KO.mp4
2017-10-06 15:03 kgv Product Version => 7.2.0
2017-10-06 15:06 kgv Product Version 7.2.0 => 6.8.0
2017-10-06 15:08 kgv Relationship added child of 0025063
2017-10-06 15:11 kgv Relationship added child of 0024001
2019-07-29 21:11 kgv Relationship added related to 0029837
2019-07-31 15:15 kgv Relationship added related to 0030482
2019-08-05 09:00 kgv Note Added: 0086009
2019-08-05 09:00 kgv Assigned To kgv => abv
2019-08-05 09:00 kgv Status new => resolved
2019-08-12 14:27 abv Note Added: 0086186
2019-08-12 14:27 abv Status resolved => feedback
2019-08-12 14:28 abv Note Added: 0086188
2019-08-12 14:28 abv Status feedback => verified
2019-08-12 14:28 abv Resolution open => fixed
2019-08-12 14:28 abv Assigned To abv => kgv


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker